org.eclipse.mat.snapshot.extension

## Annotation Type Subject

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface Subject

Used to tag resolvers with the name of the class that they handle. Can be used as follows: `@Subject("com.example.class1")` See `Subjects` for multiple class names.

Experimental: can also be used to tag queries which only make sense when the class is present in the snapshot.

### Required Element Summary

Required Elements
`String` `value`

### Element Detail

#### value

    public abstract String value